/**
 * Dev server messages (organized here to prevent clutter)
 */
/** Display  */
export declare function req({ url, statusCode, reqTime }: {
    url: string;
    statusCode: number;
    reqTime?: number;
}): string;
export declare function reload({ file }: {
    file: string;
}): string;
export declare function hmr({ file }: {
    file: string;
}): string;
/** Display dev server host and startup time */
export declare function devStart({ startupTime, port, localAddress, networkAddress, https, site, }: {
    startupTime: number;
    port: number;
    localAddress: string;
    networkAddress: string;
    https: boolean;
    site: URL | undefined;
}): string;
/** Display port in use */
export declare function portInUse({ port }: {
    port: number;
}): string;
/** Pretty-print errors */
export declare function err(error: Error): string;
